%global soversion 0.1

Summary: Library for processing UTF-8 encoded Unicode strings
Name:    utf8proc
Version: 1.1.6
Release: 3%{?dist}
License: BSD
Group:   System Environment/Libraries
URL:     http://www.public-software-group.org/utf8proc
Source:  http://www.public-software-group.org/pub/projects/utf8proc/v%{version}/utf8proc-v%{version}.tar.gz

%description
utf8proc is a library for processing UTF-8 encoded Unicode strings.
Some features are Unicode normalization, stripping of default ignorable
characters, case folding and detection of grapheme cluster boundaries.
A special character mapping is available, which converts for example
the characters “Hyphen” (U+2010), “Minus” (U+2212) and “Hyphen-Minus
(U+002D, ASCII Minus) all into the ASCII minus sign, to make them
equal for comparisons.

The currently supported Unicode version is 5.0.0.

This package only contains the C library.

%package devel
Summary:  Header files, libraries and development documentation for %{name}
Group:    Development/Libraries
Requires: %{name}%{?_isa} = %{version}-%{release}

%description devel
Contains header files for developing applications that use the %{name}
library.

The documentation for the C library is found in the utf8proc.h header file.
"utf8proc_map" is most likely the function you will be using for mapping UTF-8
strings, unless you want to allocate memory yourself.

%prep
%setup -qn utf8proc-v%{version}

%build
make %{?_smp_mflags} CFLAGS="%{optflags} -Wl,-soname,libutf8proc.so.%{soversion}"
mv libutf8proc.so libutf8proc.so.%{soversion}
ln -s libutf8proc.so.%{soversion} libutf8proc.so
ln -s libutf8proc.so.%{soversion} libutf8proc.so.0
chmod 755 libutf8proc.so*

%install
install -d %{buildroot}%{_libdir} %{buildroot}%{_includedir}
install libutf8proc.so.%{soversion} %{buildroot}%{_libdir}/libutf8proc.so.%{soversion}
cp -dp libutf8proc.so.0 %{buildroot}%{_libdir}/
cp -dp libutf8proc.so %{buildroot}%{_libdir}/
cp -p utf8proc.h %{buildroot}%{_includedir}/utf8proc.h

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%doc Changelog lump.txt LICENSE README
%{_libdir}/libutf8proc.so.*

%files devel
%{_includedir}/utf8proc.h
%{_libdir}/libutf8proc.so

%changelog
* Sun May 4 2014 Milan Bouchet-Valat <nalimilan@club.fr> - 1.1.6-3
- Add downstream SONAME version 0.1 since upstream does not set one.

* Fri Feb 14 2014 Milan Bouchet-Valat <nalimilan@club.fr> - 1.1.6-2
- Fix package Group.
- Do not remove build root on install phase.

* Sun Jan 26 2014 Milan Bouchet-Valat <nalimilan@club.fr> - 1.1.6-1
- Adapt package to Fedora.
- Updated to release 1.1.6.

* Sat Aug 29 2009 Dries Verachtert <dries@ulyssis.org> - 1.1.4-1 - 7981/dag
- Updated to release 1.1.4.

* Sun Jul 29 2007 Dries Verachtert <dries@ulyssis.org> - 1.1.2-1
- Updated to release 1.1.2.

* Mon Jul 23 2007 Dries Verachtert <dries@ulyssis.org> - 1.1.1-1
- Updated to release 1.1.1.

* Tue Apr 17 2007 Dries Verachtert <dries@ulyssis.org> - 1.0.3-1
- Initial package.
